openSUSE Security Update : libcgroup-devel (openSUSE-SU-2011:0316-1)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

Two security bugfixes in libcgroup1 were done :

libcgroup suffered from a heap based buffer overflow (CVE-2011-1006).

The cgrulesengd daemon did not verify the origin of netlink messages,
allowing local users to spoof events (CVE-2011-1022).

See also :

http://lists.opensuse.org/opensuse-updates/2011-04/msg00027.html
https://bugzilla.novell.com/show_bug.cgi?id=675048
https://bugzilla.novell.com/show_bug.cgi?id=675506

Solution :

Update the affected libcgroup-devel packages.

Risk factor :

High / CVSS Base Score : 7.2
(CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C)

Family: SuSE Local Security Checks

Nessus Plugin ID: 75893 ()

Bugtraq ID:

CVE ID: CVE-2011-1006
CVE-2011-1022

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now